package com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean;

public class TargetBean {
   private String tar_name;
   private String constraint;
   private String databasetype;
   private String businessname;
   private String dbdname;
   private String descripion;
   private String objectversion;
   private String versionnumber;
   private String targetownername;
   private String linkname;
   private CommonBean cb;
   private String fileparam;
   private String filename;
   private String filepath;
   private String dateformateparam;
   private FlatFileBean filebean;
   private String isftp;
   private String ftplink;
   private String inserttype;
   private String tranctype;
   private String connectmode;
   private String filecommand;
   private String spload;
   private String hiveflag;

   public String getSpload() {
      return this.spload;
   }

   public void setSpload(String spload) {
      this.spload = spload;
   }

   public String getFilecommand() {
      return this.filecommand;
   }

   public void setFilecommand(String filecommand) {
      this.filecommand = filecommand;
   }

   public String getTranctype() {
      return this.tranctype;
   }

   public void setTranctype(String tranctype) {
      this.tranctype = tranctype;
   }

   public String getInserttype() {
      return this.inserttype;
   }

   public void setInserttype(String inserttype) {
      this.inserttype = inserttype;
   }

   public String getIsftp() {
      return this.isftp;
   }

   public void setIsftp(String isftp) {
      this.isftp = isftp;
   }

   public String getFtplink() {
      return this.ftplink;
   }

   public void setFtplink(String ftplink) {
      this.ftplink = ftplink;
   }

   public String getFilename() {
      return this.filename;
   }

   public void setFilename(String filename) {
      this.filename = filename;
   }

   public String getFilepath() {
      return this.filepath;
   }

   public void setFilepath(String filepath) {
      this.filepath = filepath;
   }

   public FlatFileBean getFilebean() {
      return this.filebean;
   }

   public void setFilebean(FlatFileBean filebean) {
      this.filebean = filebean;
   }

   public String getFileparam() {
      return this.fileparam;
   }

   public void setFileparam(String fileparam) {
      this.fileparam = fileparam;
   }

   public String getDateformateparam() {
      return this.dateformateparam;
   }

   public void setDateformateparam(String dateformateparam) {
      this.dateformateparam = dateformateparam;
   }

   public String getLinkname() {
      return this.linkname;
   }

   public void setLinkname(String linkname) {
      this.linkname = linkname;
   }

   public String getTargetownername() {
      return this.targetownername;
   }

   public void setTargetownername(String targetownername) {
      this.targetownername = targetownername;
   }

   public String getTar_name() {
      return this.tar_name;
   }

   public void setTar_name(String tar_name) {
      this.tar_name = tar_name;
   }

   public String getConstraint() {
      return this.constraint;
   }

   public void setConstraint(String constraint) {
      this.constraint = constraint;
   }

   public String getDatabasetype() {
      return this.databasetype;
   }

   public void setDatabasetype(String databasetype) {
      this.databasetype = databasetype;
   }

   public String getBusinessname() {
      return this.businessname;
   }

   public void setBusinessname(String businessname) {
      this.businessname = businessname;
   }

   public String getDbdname() {
      return this.dbdname;
   }

   public void setDbdname(String dbdname) {
      this.dbdname = dbdname;
   }

   public String getDescripion() {
      return this.descripion;
   }

   public void setDescripion(String descripion) {
      this.descripion = descripion;
   }

   public String getObjectversion() {
      return this.objectversion;
   }

   public void setObjectversion(String objectversion) {
      this.objectversion = objectversion;
   }

   public String getVersionnumber() {
      return this.versionnumber;
   }

   public void setVersionnumber(String versionnumber) {
      this.versionnumber = versionnumber;
   }

   public CommonBean getCb() {
      return this.cb;
   }

   public void setCb(CommonBean cb) {
      this.cb = cb;
   }

   public String getConnectmode() {
      return this.connectmode;
   }

   public void setConnectmode(String connectmode) {
      this.connectmode = connectmode;
   }

   public String getHiveflag() {
      return this.hiveflag;
   }

   public void setHiveflag(String hiveflag) {
      this.hiveflag = hiveflag;
   }
}
